"""Add import Opengear workflows..

Revision ID: f6a38f9e9e18
Revises: ccc7ac05063b
Create Date: 2024-06-27 11:48:05.331149

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'f6a38f9e9e18'
down_revision = 'ccc7ac05063b'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "create_imported_opengear",
        "target": "CREATE",
        "description": "Import Opengear",
        "product_type": "ImportedOpengear"
    },
    {
        "name": "import_opengear",
        "target": "MODIFY",
        "description": "Import Opengear",
        "product_type": "ImportedOpengear"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
